/* Created by Jannis A. Schnitzer on April 4, 2008. */
/* (Yet) All Rights Reserved. */

var lc_normalcolor = "#d2d2d2";
var lc_hovercolor  = "#c00";
var lc_clickcolor  = "#fff";

function lc_over(element)
{
    var myEffect2 = new Fx.Style(element, 'color');	
    myEffect2.options.duration = 300;
    myEffect2.start (lc_normalcolor, lc_hovercolor);
}
function lc_out (element)
{
    var myEffect2 = new Fx.Style(element, 'color');
    myEffect2.options.duration = 300;
    myEffect2.stop();
    myEffect2.start (lc_hovercolor, lc_normalcolor);
}
function lc_down(element)
{
    var myEffect2 = new Fx.Style (element, 'color');
    myEffect2.options.duration = 150;
    myEffect2.start (lc_hovercolor, lc_clickcolor);
}
function lc_up  (element)
{
    var myEffect2 = new Fx.Style (element, 'color');
    myEffect2.options.duration = 150;
    myEffect2.stop();
    myEffect2.start(lc_clickcolor, lc_hovercolor);
}
function prepLinks()
{
    var links = document.getElementsByTagName("a");
    var i=0;
    for (i=0; i < links.length && i >= 0; i++)
	{
	    if (links[i].getAttribute("class") != "nohoverblend")
		{
		    // Emacs is weird.
		    links[i].setAttribute ("onmouseover", "lc_over (this)");
		    links[i].setAttribute ("onmouseout",  "lc_out  (this)");
		    links[i].setAttribute ("onmousedown", "lc_down (this)");
		    links[i].setAttribute ("onmouseup",   "lc_up   (this)");
		}
	}
}
